function wfSh = Shift(wf,dt,del);
%function wfSh = Shift(wf,dt,del);

numSam = length(wf);

ntf=2^ceil(log(numSam)/log(2));
jomega=sqrt(-1)*(0:ntf/2)*2*pi/(ntf*dt);

spwf=fft(wf,ntf);
spwfs=spwf(1:ntf/2+1).*exp(-(del)*jomega);
wfshift = flipud(real(ifft([spwfs,conj(fliplr(spwfs(2:ntf/2)))])));
wfSh = wfshift(1:numSam);

